1. Market Data
Corvus API
  • Token
    • Get Token
      POST
  • User
    • Wallet
      • Query user ledger balance
  • Position
    • My positions with pagination
      GET
  • Market Data
    • Get match team information
      GET
    • Get match team information in batch
      POST
    • Get market price history
      GET
    • Get order books in batch
      POST
    • Get topic market groups
      GET
    • Get topic event list
      GET
    • Get historical events in the same topic series
      GET
    • Get topic event details
      GET
  • Order
    • My orders with pagination
      GET
    • Create prediction buy order
      POST
    • Create prediction sell order
      POST
  • Schemas
    • ErrorResponse
    • WalletBalanceResponse
    • WalletAccountBalanceVo
    • DepositAddressVo
    • PositionListResponse
    • PositionVo
    • TeamsQueryBo
    • TeamsResponse
    • MatchTeamsVo
    • PriceHistoryResponse
    • PriceHistoryPointVo
    • OrderBookQueryBo
    • OrderBooksResponse
    • OrderBookVo
    • OrderBookEntry
    • TopicGroupsResponse
    • TopicMarketGroupVo
    • MarketEventsResponse
    • MarketDetailResponse
    • MarketItemVo
    • EventMarketVo
    • OrderListResponse
    • PredictionOrderListVo
    • PredictionOrderCreateBo
    • PredictionSellOrderCreateBo
    • PredictionOrderResponse
    • PredictionOrderVo
  1. Market Data

Get order books in batch

POST
/api/market/order-books
Queries Polymarket CLOB order books in batch. The request body is an array of token query items. The server calls the upstream CLOB API item by item and returns results in the same order. The controller requires a non-empty array, and the recommended business limit is no more than 10 tokens per request.

Request

Header Params

Body Params application/jsonRequired

Example
[
    {
        "token_id": "string"
    }
]

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ourcorvus.com/api/market/order-books' \
--header 'Accept-Language: zh_CN' \
--header 'Content-Type: application/json' \
--data '[
    {
        "token_id": "string"
    }
]'

Responses

🟢200
application/json
Query successful
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "Operation successful",
    "data": [
        {
            "market": "0xabc123",
            "asset_id": "12345678901234567890",
            "timestamp": "1778836260000",
            "hash": "0xfeedbeef",
            "bids": [
                {
                    "price": "0.40",
                    "size": "125.5"
                }
            ],
            "asks": [
                {
                    "price": "0.42",
                    "size": "88.0"
                }
            ],
            "min_order_size": "5",
            "tick_size": "0.01",
            "neg_risk": false,
            "last_trade_price": "0.41"
        }
    ]
}
🟠400
🔴500ServerError
Modified at 2026-05-19 02:21:34
Previous
Get market price history
Next
Get topic market groups
Built with